Skip to navigation

Like Promotion

Allows a user to express “like” on a promotional offer using the promotion ID. The user can also remove the “like” if set to do so. The response returns details of the “like” action, including a unique identifier for the liked promo, the ID of the user who liked the promo, and timestamps for the creation and updating of the “like”.

Request Body

  • promotion_id (string): Specifies the ID of the promotion to be liked.

  • like (integer): Specifies the liking action. 1 denotes a “like” action, while 0 denotes absence of a “like”.

  • remove (integer): Indicates if the “like” should be removed. 1 denotes removing the “like”, while 0 denotes the “like” should remain.

Response

  • id (string): Specifies a unique identifier for the “like” action.

  • promotion_id (string): Indicates the ID related to the promotional offer being liked.

  • user_id (string): Shows the unique identifier corresponding to the user who performed the “like” action.

  • liked (integer): Confirms with a 1 value if a “like” action has been performed, and with a 0 if it hasn’t.

  • created_at (string): Generates a timestamp at the moment of the “like” action creation.

  • updated_at (string): Generates a timestamp when the “like” action was last updated.

Query parameters

api_tokenstringOptional

Response

Like Promotion
messagestringOptional
apistringOptional
statusstringOptional
dataobjectOptional